Skip to content
Start here

Delete a specified CNI object

client.networkInterconnects.cnis.delete(stringcni, CNIDeleteParams { account_id } params, RequestOptionsoptions?): void
DELETE/accounts/{account_id}/cni/cnis/{cni}

Delete a specified CNI object

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
cni: string
formatuuid
params: CNIDeleteParams { account_id }
account_id: string

Customer account tag

Delete a specified CNI object

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.networkInterconnects.cnis.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
  account_id: 'account_id',
});
Returns Examples